%define oname		shadowsocks-libev

%define major		2
%define libname		%mklibname shadowsocks %major
%define develname	%mklibname shadowsocks -d

Name:		shadowsocks-libev
Version:	3.3.5
Release:	%mkrel 1
Summary:	A lightweight and secure socks5 proxy
Group:		Networking/Other
License:	GPLv3
Url:		https://github.com/shadowsocks/shadowsocks-libev
Source:		https://github.com/shadowsocks/shadowsocks-libev/releases/download/v%{version}/%{oname}-%{version}.tar.gz
Source2:	shadowsocks-libev-redir@.service
Source3:	shadowsocks-libev-server@.service
Source4:	shadowsocks-libev@.service
Source5:	shadowsocks-libev-tunnel@.service
Source100:	31-%{name}.conf

BuildRequires:	gcc
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(libsodium)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libev)
BuildRequires:	pkgconfig(libcares)
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	udns-devel
BuildRequires:	asciidoc
BuildRequires:	xmlto-notex
BuildRequires:	mbedtls-devel
Requires(pre):	rpm-helper

%description
%{oname} is a lightweight secured socks5 proxy for embedded devices
and low end boxes.

%package -n %{libname}
Summary:	A lightweight and secure socks5 proxy
Group:		System/Libraries

%description -n %{libname}
%{oname} is a lightweight secured socks5 proxy for embedded devices
and low end boxes.

%package -n %{develname}
Summary:	Development headers for %{oname}
Group:		Development/C
Requires:	%{libname} = %{version}

%description -n %{develname}
This package provides development headers for %{oname}.

%prep
%autosetup -n %{oname}-%{version} -p1

%build
#NOCONFIGURE=1 ./autogen.sh

#(eatdirt) removed as it only looks for
#libcork, libbloom and libipset. We don't have the first two and our
#libipset seems to be different than the one shipped in
#--enable-system-shared-lib

%configure --enable-shared
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

find %{buildroot} -name '*.la' -delete

mkdir -p "%{buildroot}/%{_unitdir}"
mkdir -p "%{buildroot}/%{_sysconfdir}/shadowsocks"
install -Dpm644 "%{SOURCE2}" "%{buildroot}/%{_unitdir}/"
install -Dpm644 "%{SOURCE3}" "%{buildroot}/%{_unitdir}/"
install -Dpm644 "%{SOURCE4}" "%{buildroot}/%{_unitdir}/"
install -Dpm644 "%{SOURCE5}" "%{buildroot}/%{_unitdir}/"

install -Dpm644 "%{SOURCE100}" %{buildroot}%{_prefix}/lib/sysctl.d/31-%{name}.conf

%pre
%_pre_useradd shadowsocks /var/lib/shadowsocks /bin/false

%files
%attr(0750,root,shadowsocks) %{_sysconfdir}/shadowsocks
%{_bindir}/ss-nat
%{_bindir}/ss-redir
%{_bindir}/ss-tunnel
%{_bindir}/ss-local
%caps(cap_net_bind_service=pe) %{_bindir}/ss-server
%{_bindir}/ss-manager
%{_mandir}/man8/shadowsocks-libev.8*
%{_mandir}/man1/ss-nat.1*
%{_mandir}/man1/ss-manager.1*
%{_mandir}/man1/ss-redir.1*
%{_mandir}/man1/ss-tunnel.1*
%{_mandir}/man1/ss-local.1*
%{_mandir}/man1/ss-server.1*
%{_unitdir}/shadowsocks-libev*.service
%{_prefix}/lib/sysctl.d/31-%{name}.conf
%{_docdir}/%{oname}

%files -n %{libname}
%doc COPYING README.md
%{_libdir}/libshadowsocks-libev.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/shadowsocks.h
%{_libdir}/libshadowsocks-libev.so
%{_libdir}/pkgconfig/shadowsocks-libev.pc


%changelog
* Mon Nov 02 2020 wally <wally> 3.3.5-1.mga8
+ Revision: 1641750
- new version 3.3.5

* Wed Feb 19 2020 daviddavid <daviddavid> 3.3.4-1.mga8
+ Revision: 1543869
- new version: 3.3.4

* Tue Feb 18 2020 umeabot <umeabot> 3.3.3-2.mga8
+ Revision: 1539625
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 09 2019 daviddavid <daviddavid> 3.3.3-1.mga8
+ Revision: 1465412
- new version: 3.3.3

* Fri Jul 12 2019 daviddavid <daviddavid> 3.3.0-1.mga8
+ Revision: 1420532
- new version: 3.3.0

* Wed Apr 03 2019 akien <akien> 3.2.3-2.mga7
+ Revision: 1385639
- Rebuild for mbedtls 2.16.1

* Thu Jan 03 2019 daviddavid <daviddavid> 3.2.3-1.mga7
+ Revision: 1348865
- new version: 3.2.3

* Sat Sep 15 2018 daviddavid <daviddavid> 3.2.0-1.mga7
+ Revision: 1259119
- new version 3.2.0
- remove merged upstream patch
- update URL and Source URL

* Tue May 08 2018 kekepower <kekepower> 3.1.0-3.mga7
+ Revision: 1227677
- Rebuild for new mbedtls

* Wed Mar 07 2018 kekepower <kekepower> 3.1.0-2.mga7
+ Revision: 1207005
- Rebuild for new mbedtls

* Thu Nov 16 2017 eatdirt <eatdirt> 3.1.0-1.mga7
+ Revision: 1177524
- Upgrade to 3.1.0 for compilation failure and add security fix for #22037
- Rebuild for new sodium

* Mon Oct 10 2016 eatdirt <eatdirt> 2.4.3-5.mga6
+ Revision: 1060012
- Rebuild for new libdsodium

* Sat May 14 2016 daviddavid <daviddavid> 2.4.3-4.mga6
+ Revision: 1015546
- rebuild to check if it build properly (fails on autobuild)
- pass NOCONFIGURE=1 to autogen

* Thu Dec 31 2015 ovitters <ovitters> 2.4.3-3.mga6
+ Revision: 917025
- use capability to allow ports <1024

* Wed Dec 30 2015 ovitters <ovitters> 2.4.3-2.mga6
+ Revision: 917008
- add sysctl file with best settings to improve performance
- add /etc/shadowsocks directory
- enable UDP relay by default
- run as shadowsocks user

* Sat Dec 26 2015 ovitters <ovitters> 2.4.3-1.mga6
+ Revision: 915343
- imported package shadowsocks-libev

